summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorVitor Silvestri <vitorsilvestri1@gmail.com>2020-05-13 12:47:29 -0300
committerGitHub <noreply@github.com>2020-05-13 11:47:29 -0400
commit74421a25b535443b03cb8e7ebdc03d8b148fa5ab (patch)
treecb2d2d3733b783c1718fa7d8bfc2f7660bc3953d /.local
parent8f05c7d79f91783d2cafe00a7d479eef9d652e8a (diff)
downloadeibhear-74421a25b535443b03cb8e7ebdc03d8b148fa5ab.tar.gz
eibhear-74421a25b535443b03cb8e7ebdc03d8b148fa5ab.tar.zst
eibhear-74421a25b535443b03cb8e7ebdc03d8b148fa5ab.zip
Update transadd (#633)
* Update transadd When transmission daemon is closed and the user wants to add a torrent, it needs to try to add the torrent two times, the first time for opening the daemon, and the second time for adding the torrent Removing the ampersand fix this, enabling one click for both starting the daemon and adding the torrent * fix typo
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/transadd2
1 files changed, 1 insertions, 1 deletions
diff --git a/.local/bin/transadd b/.local/bin/transadd
index 1b9599e..a598fad 100755
--- a/.local/bin/transadd
+++ b/.local/bin/transadd
@@ -4,6 +4,6 @@
# transmission-daemon sometimes fails to take remote requests in its first moments, hence the sleep.
-pidof transmission-daemon >/dev/null || (transmission-daemon && notify-send "Starting transmission daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}") &
+pidof transmission-daemon >/dev/null || (transmission-daemon && notify-send "Starting transmission daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}")
transmission-remote -a "$@" && notify-send "🔽 Torrent added."